/*--------------------------------------------------------------
# Sticky Sidebar
--------------------------------------------------------------*/
.post-sidebar {
  position: -webkit-sticky; /* For Safari */
  position: sticky;
  top: 40px; /* Adjust this value for the desired top offset */
  height: calc(100vh - 40px); /* Optional: Limits the height */
  overflow-y: auto; /* Adds scroll to the sidebar if content is taller than the viewport */
}

@media (max-width: 767px) {
  .post-sidebar {
    overflow-y: visible;
    position: static;
    height: auto;
  }
}
